import * as create from './create';
import * as dlx from './dlx';
import * as exec from './exec';
import * as restart from './restart';
import * as run from './run';
declare const test: {
    help(): string;
    handler(opts: run.RunOpts, params?: string[]): Promise<string | {
        exitCode: number;
    } | undefined>;
    commandNames: string[];
    rcOptionsTypes(): Record<string, unknown>;
    cliOptionsTypes(): Record<string, unknown>;
    runScript(opts: {
        manifest: import("@pnpm/types").ProjectManifest;
        lifecycleOpts: import("@pnpm/lifecycle").RunLifecycleHookOptions;
        runScriptOptions: run.RunScriptOptions;
        passedThruArgs: string[];
    }, scriptName: string): Promise<void>;
    IF_PRESENT_OPTION: Record<string, unknown>;
    IF_PRESENT_OPTION_HELP: run.DescriptionItem;
    PARALLEL_OPTION_HELP: run.DescriptionItem;
    RESUME_FROM_OPTION_HELP: run.DescriptionItem;
    SEQUENTIAL_OPTION_HELP: run.DescriptionItem;
    REPORT_SUMMARY_OPTION_HELP: run.DescriptionItem;
    REPORTER_HIDE_PREFIX_HELP: run.DescriptionItem;
    shorthands: Record<string, string[]>;
    completion: import("@pnpm/command").CompletionFunc;
};
export { create, dlx, exec, restart, run, test };
