import { type Config } from '@pnpm/config';
import { add } from '@pnpm/plugin-commands-installation';
export declare const commandNames: string[];
export declare const shorthands: Record<string, string>;
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare const cliOptionsTypes: () => Record<string, unknown>;
export declare function help(): string;
export type DlxCommandOptions = {
    package?: string[];
    shellMode?: boolean;
} & Pick<Config, 'reporter' | 'userAgent' | 'cacheDir' | 'dlxCacheMaxAge'> & add.AddCommandOptions;
export declare function handler(opts: DlxCommandOptions, [command, ...args]: string[]): Promise<{
    exitCode: number;
}>;
